-- 基础信息
base_info = {
	group_id = 242004002
}

-- Trigger变量
defs = {
	group_id = 242004002,
	monster_points = 1,
	max_points = 100,
	gear_list = {70350107,70350099,70350100,70350101,70350102,70350103},
	option_list = {41,42,43,44,45},
	option_points = {20,20,20,20,20},
	fundation_id = 70350145,
	challange_group_id = 242004001
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 2007, gadget_id = 70350145, pos = { x = 2.239, y = -6.085, z = 36.044 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2009, gadget_id = 70350145, pos = { x = 4.739, y = -6.083, z = 39.544 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2010, gadget_id = 70350145, pos = { x = 2.239, y = -6.084, z = 43.044 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2011, gadget_id = 70350145, pos = { x = 66.690, y = 2.239, z = 23.501 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2012, gadget_id = 70350145, pos = { x = 69.189, y = 2.241, z = 27.001 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2013, gadget_id = 70350145, pos = { x = 66.690, y = 2.244, z = 30.501 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2014, gadget_id = 70350145, pos = { x = 64.189, y = 2.246, z = 27.001 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2015, gadget_id = 70350145, pos = { x = 29.153, y = 2.245, z = -18.111 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2018, gadget_id = 70350145, pos = { x = 31.778, y = 2.236, z = -21.611 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2020, gadget_id = 70350145, pos = { x = 26.846, y = -1.736, z = 14.382 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2021, gadget_id = 70350145, pos = { x = 66.055, y = 2.242, z = -34.922 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2024, gadget_id = 70350145, pos = { x = 26.653, y = 2.241, z = -21.611 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2025, gadget_id = 70350145, pos = { x = 63.501, y = 2.242, z = -37.401 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2027, gadget_id = 70350145, pos = { x = 63.501, y = 2.242, z = -32.400 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2029, gadget_id = 70350145, pos = { x = 10.686, y = -6.089, z = 35.952 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2034, gadget_id = 70350145, pos = { x = 10.686, y = -6.055, z = 42.951 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2035, gadget_id = 70350145, pos = { x = 8.185, y = -6.094, z = 39.452 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2036, gadget_id = 70350145, pos = { x = 31.718, y = 2.233, z = -10.432 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2039, gadget_id = 70350145, pos = { x = 31.719, y = 2.244, z = -3.433 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2053, gadget_id = 70350145, pos = { x = 26.718, y = 2.248, z = -10.432 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2054, gadget_id = 70350145, pos = { x = 29.219, y = 2.244, z = -6.932 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2055, gadget_id = 70350145, pos = { x = 26.718, y = 2.242, z = -3.432 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2056, gadget_id = 70350145, pos = { x = 35.083, y = -6.086, z = 43.617 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2057, gadget_id = 70350145, pos = { x = 35.083, y = -6.086, z = 36.617 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2058, gadget_id = 70350145, pos = { x = 32.583, y = -6.091, z = 40.117 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2059, gadget_id = 70350145, pos = { x = 27.583, y = -6.084, z = 40.118 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2060, gadget_id = 70350145, pos = { x = 22.583, y = -6.092, z = 40.118 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2061, gadget_id = 70350145, pos = { x = 69.215, y = 2.239, z = 17.137 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2062, gadget_id = 70350145, pos = { x = -5.145, y = -13.921, z = 6.742 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2063, gadget_id = 70350145, pos = { x = -5.145, y = -13.926, z = 1.742 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2064, gadget_id = 70350145, pos = { x = 65.611, y = 2.242, z = -6.746 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2065, gadget_id = 70350145, pos = { x = 68.004, y = 2.246, z = -4.283 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2066, gadget_id = 70350145, pos = { x = 68.094, y = 2.250, z = -9.305 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2067, gadget_id = 70350145, pos = { x = 66.741, y = 2.235, z = 14.785 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2068, gadget_id = 70350145, pos = { x = -10.145, y = -13.902, z = 1.742 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2069, gadget_id = 70350145, pos = { x = -10.176, y = -13.913, z = 6.740 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2070, gadget_id = 70350145, pos = { x = 63.093, y = 2.243, z = -4.305 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2071, gadget_id = 70350145, pos = { x = 63.093, y = 2.244, z = -9.306 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2072, gadget_id = 70350145, pos = { x = 69.305, y = 2.234, z = 12.115 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2073, gadget_id = 70350145, pos = { x = 64.305, y = 2.235, z = 17.115 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2074, gadget_id = 70350145, pos = { x = 64.268, y = 2.240, z = 12.162 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2079, gadget_id = 70350145, pos = { x = 47.412, y = 2.240, z = -3.771 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2080, gadget_id = 70350145, pos = { x = 47.501, y = 2.244, z = -8.794 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2081, gadget_id = 70350145, pos = { x = 42.501, y = 2.246, z = -3.793 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2082, gadget_id = 70350145, pos = { x = 42.501, y = 2.246, z = -8.794 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2087, gadget_id = 70350145, pos = { x = 29.202, y = -1.738, z = 16.926 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2088, gadget_id = 70350145, pos = { x = 29.292, y = -1.735, z = 11.904 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2089, gadget_id = 70350145, pos = { x = 24.292, y = -1.736, z = 16.904 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2090, gadget_id = 70350145, pos = { x = 24.292, y = -1.736, z = 11.903 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2095, gadget_id = 70350145, pos = { x = 68.501, y = 2.243, z = -37.400 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2096, gadget_id = 70350145, pos = { x = 68.411, y = 2.240, z = -32.378 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2097, gadget_id = 70350145, pos = { x = 51.316, y = 2.244, z = -6.274 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2098, gadget_id = 70350145, pos = { x = 39.179, y = 2.245, z = -6.212 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 2001, pos = { x = 2.239, y = -6.085, z = 36.044 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2002, pos = { x = 4.739, y = -6.083, z = 39.544 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2003, pos = { x = 2.239, y = -6.084, z = 43.044 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2004, pos = { x = 66.690, y = 2.239, z = 23.501 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2005, pos = { x = 69.189, y = 2.241, z = 27.001 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2006, pos = { x = 66.690, y = 2.244, z = 30.501 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2008, pos = { x = 64.189, y = 2.246, z = 27.001 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2016, pos = { x = 29.153, y = 2.245, z = -18.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2017, pos = { x = 31.778, y = 2.236, z = -21.611 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2019, pos = { x = 26.846, y = -1.736, z = 14.382 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2022, pos = { x = 66.055, y = 2.242, z = -34.922 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2023, pos = { x = 26.653, y = 2.241, z = -21.611 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2026, pos = { x = 63.501, y = 2.242, z = -37.401 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2028, pos = { x = 63.501, y = 2.242, z = -32.400 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2030, pos = { x = 10.686, y = -6.089, z = 35.952 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2031, pos = { x = 10.686, y = -6.055, z = 42.951 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2032, pos = { x = 8.185, y = -6.094, z = 39.452 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2033, pos = { x = 31.718, y = 2.233, z = -10.432 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2037, pos = { x = 31.719, y = 2.244, z = -3.433 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2038, pos = { x = 26.718, y = 2.248, z = -10.432 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2040, pos = { x = 29.219, y = 2.244, z = -6.932 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2041, pos = { x = 26.718, y = 2.242, z = -3.432 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2042, pos = { x = 35.083, y = -6.086, z = 43.617 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2043, pos = { x = 35.083, y = -6.086, z = 36.617 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2044, pos = { x = 32.583, y = -6.091, z = 40.117 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2045, pos = { x = 27.583, y = -6.084, z = 40.118 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2046, pos = { x = 22.583, y = -6.092, z = 40.118 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2047, pos = { x = 69.215, y = 2.239, z = 17.137 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2048, pos = { x = -5.145, y = -13.921, z = 6.742 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2049, pos = { x = -5.145, y = -13.926, z = 1.742 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2050, pos = { x = 65.611, y = 2.242, z = -6.746 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2051, pos = { x = 68.004, y = 2.246, z = -4.283 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2052, pos = { x = 68.094, y = 2.250, z = -9.305 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2075, pos = { x = 66.741, y = 2.235, z = 14.785 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2076, pos = { x = -10.145, y = -13.902, z = 1.742 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2077, pos = { x = -10.176, y = -13.913, z = 6.740 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2078, pos = { x = 63.093, y = 2.243, z = -4.305 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2083, pos = { x = 63.093, y = 2.244, z = -9.306 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2084, pos = { x = 69.305, y = 2.234, z = 12.115 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2085, pos = { x = 64.305, y = 2.235, z = 17.115 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2086, pos = { x = 64.268, y = 2.240, z = 12.162 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2091, pos = { x = 47.412, y = 2.240, z = -3.771 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2092, pos = { x = 47.501, y = 2.244, z = -8.794 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2093, pos = { x = 42.501, y = 2.246, z = -3.793 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2094, pos = { x = 42.501, y = 2.246, z = -8.794 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2099, pos = { x = 29.202, y = -1.738, z = 16.926 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2100, pos = { x = 29.292, y = -1.735, z = 11.904 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2101, pos = { x = 24.292, y = -1.736, z = 16.904 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2102, pos = { x = 24.292, y = -1.736, z = 11.903 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2103, pos = { x = 68.501, y = 2.243, z = -37.400 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2104, pos = { x = 68.411, y = 2.240, z = -32.378 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2105, pos = { x = 51.316, y = 2.244, z = -6.274 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2106, pos = { x = 39.179, y = 2.245, z = -6.212 }, rot = { x = 0.000, y = 90.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Gear"
